package brn.sim.data;

import java.io.Serializable;

import brn.sim.DriverRemote;
import brn.sim.DataManager.DataContribution;

public class XplotData implements DataContribution, Serializable {
  private static final long serialVersionUID = 1L;

  protected String[] path;
  
  /** xplot file content */
  protected String content;
  
  /** ctor for hibernate */
  public XplotData() {}

  public XplotData(String[] path, String content) {
    this.path = path;
    this.content = content;
  }
  
  /*
   * (non-Javadoc)
   * @see brn.sim.DataManager.DataContribution#getPath()
   */
  public String[] getPath() {
    return path;
  }

  /*
   * (non-Javadoc)
   * @see brn.sim.DataManager.DataContribution#getType()
   */
  public int getType() {
    return DriverRemote.ITEM_TYPE_XPLOT;
  }

  /*
   * (non-Javadoc)
   * @see brn.sim.DataManager.DataContribution#setActive(boolean)
   */
  public void setActive(boolean active) {
    // TODO
  }

  public String getContent() {
    return content;
  }

}
